Bug 121812 - Colibre: Wrong icons for Roman Uppercase List
Summary: Colibre: Wrong icons for Roman Uppercase List
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.0.2
Keywords:
Depends on:
Blocks: Icon-Theme-Colibre
  Show dependency treegraph
 
Reported: 2018-11-30 09:27 UTC by Rizal Muttaqin
Modified: 2019-01-14 19:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Wrong Roman Uppercase icon (1.10 MB, image/png)
2018-11-30 09:27 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2018-11-30 09:27:34 UTC
Created attachment 147169 [details]
Wrong Roman Uppercase icon

Instead of use roman uppercase, Colibre use Arabic/regular number format for Roman Uppercase list style

Step to reproduce:

1. Create a new Writer document, writer a numbered list
2. Right click on the list and select Bullets and Numbering

Or

1. Click View > Toolbars > Formatting (Styles)
2. View the icon in the 10th order from the left
Comment 1 V Stuart Foote 2018-11-30 22:39:52 UTC
Confirmed on Windows 10 Ent 64-bit en-US with
Version: 6.3.0.0.alpha0+ (x64)
Build ID: 0f25a3c36f27fd51453b9a9115f236b83c143684
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-27_20:06:55
Locale: en-US (en_US); UI-Language: en-US
Calc: CL

Appears in the paragraph's context menu: Bullets and Numbering -> Roman Uppercase List.

Wrong icon for PNG and also affects the Collibre (SVG) variant. Also the Breeze (SVG) icon, though the Breeze PNG does show the Roman Upper I. II.
Comment 2 V Stuart Foote 2018-11-30 22:42:54 UTC
But also, Tango shows a Roman Lower case rather than Roman Upper case icon.
Comment 3 Rizal Muttaqin 2018-11-30 22:54:57 UTC
(In reply to V Stuart Foote from comment #2)
> But also, Tango shows a Roman Lower case rather than Roman Upper case icon.

Tango already use Roman Upper, but they seems use Sans type font instead of Serif/mono font which lack up & down horizontal line.

Should we open a new ticket for Tango also?
Comment 4 Rizal Muttaqin 2018-11-30 22:58:19 UTC
> 1. Click View > Toolbars > Formatting (Styles)
> 2. View the icon in the 10th order from the left

Edit:
View the icon in the 10th order from the right
Comment 5 Commit Notification 2019-01-07 06:21:02 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4cd19e16ce24cd244e3a5a3c23add91a8f980790%5E%21

tdf#121812 colibre and breeze wrong icon for roman uppercase list

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-01-07 07:23:36 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/20dbc1bd160ca3296142edc0c5c1c4f388c2011e%5E%21

tdf#121812 colibre and breeze wrong icon for roman uppercase list

It will be available in 6.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 BogdanB 2019-01-14 19:52:54 UTC
Solved.
Verified on
Version: 6.3.0.0.alpha0+
Build ID: afbbdcc216a84b59fb263777659b044c4a7cf6f0
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-13_03:54:12
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded